using System;
using System.IO;
using Microsoft.VisualBasic;

namespace Exercises_C_Sharp.E323_ChatGPT
{
    class Exercise_1
    {
        //Lassen Sie ChatGPT den Inhalt der Methode Make erstellen. Die Methode soll einen String mit zufälligen Buchstaben zurück geben. Die Anzahl wird dabei übergeben. Der erste Buchstabe muss groß geschrieben sein.
        public static void Start()
        {
            Console.WriteLine(Make(12));
            Console.WriteLine(Make(2));
            Console.WriteLine(Make(1));
            Console.WriteLine(Make(-3));
            Console.WriteLine(Make(99));
        }

        public static string Make(int i)
        {
            //Code START
            Random rand = new();

            if (i <= 0)
                throw new ArgumentException("Die Länge des Strings muss größer als 0 sein.");

            // Erstelle ein Array für die Zeichen
            char[] chars = new char[i];

            // Erzeuge das erste Zeichen (groß geschrieben)
            chars[0] = (char)rand.Next('A', 'Z' + 1);

            // Erzeuge die restlichen Zeichen (klein geschrieben)
            for (int k = 1; k < i; k++)
                chars[k] = (char)rand.Next('a', 'z' + 1);

            // Konvertiere das char-Array in einen String und gib es zurück
            return new string(chars);
                //Code ENDE
        }
    }
}