using System;
using System.IO;
using System.Collections.Generic;
using Microsoft.VisualBasic;

namespace Exercises_C_Sharp.E20_Lists
{
    class Exercise_13
    {
        public static void Start()
        {
            List<int> intList = new List<int>(){736,452,372,493,482,803,392,473,293,493,462,583,192,483,201,939,483,192,472,493};
           
            //Kontrolle:
            foreach (var element in Meth(intList))
                Console.WriteLine(element);
            
        }

        //Schreiben Sie eine Methode, die die Integerwerte einer übergebenen Liste nach ihren Kehrwert sortiert. Somit würde 432 (Kehrwert: 234) vor der 123 (Kehrwert: 321) kommen.
        static List<int> Meth(List<int> lis)
        {
            /*Code START*/
            var newList = MakeKehrwertList(lis);
            newList.Sort();
            newList = MakeKehrwertList(newList);

            return newList;

            //ODER:
            lis.Sort((k, l) => MakeKehrwert(k).CompareTo(MakeKehrwert(l)));
            return lis;
            
            /*Code ENDE*/
        }
        static List<int> MakeKehrwertList(List<int> list)
        {
            List<int> temp = [];
            foreach(var element in list)
                temp.Add(MakeKehrwert(element));
            return temp;
        }

        static int MakeKehrwert(int i)
        {
            int res = 0;
            i *= 10;

            while(i / 10 != 0)
            {
                i /= 10;
                res *= 10;
                res += i % 10;
            }

            return res;
        }
        static int MakeKehrwertString(int i)
        {
            string newI = i.ToString();
            string temp = "";

            for(int k = newI.Length - 1; k >= 0; k--)
                temp += newI[k];

            return Convert.ToInt32(temp);
        }
    }
}